NA {base} | R Documentation

## Not Available / ``Missing'' Values

### Description

`NA` is a logical constant of length 1 which contains a missing value indicator. `NA` can be freely coerced to any other vector type.

The generic function `is.na` returns a logical vector of the same ``form'' as its argument `x`, containing `TRUE` for those elements marked `NA` or `NaN` (!) and `FALSE` otherwise. `dim`, `dimnames` and `names` attributes are preserved.

### Usage

    NA
    is.na(x)
    is.na.data.frame(x)

### Details

`is.na(x)` works elementwise when `x` is a `list`.

The method dispatching is C-internal, rather than via `UseMethod`.

### See Also

`NaN`, `is.nan`, etc. and the utility function `complete.cases`.

`na.action`, `na.omit`, `na.fail` on how methods can be tuned to deal with missing values.

### Examples

    is.na(c(1,NA))       #> F TRUE
    is.na(paste(c(1,NA)))#> F FALSE